chain.hpp File Reference

Forward declares `boost::hana::chain`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::chain
| Feed a monadic value into a monadic computation.Given a monadic value and a monadic function, `chain` feeds the monadic value into the function, thus performing some Monad-specific effects, and returns the result. An implementation of `chain` must satisfy. More...

## Detailed Description

Forward declares `boost::hana::chain`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)